org.apache.cayenne.template

## Class CayenneSQLTemplateProcessor

- java.lang.Object
- - org.apache.cayenne.template.CayenneSQLTemplateProcessor

- All Implemented Interfaces:
    SQLTemplateProcessor

      public class CayenneSQLTemplateProcessor
      extends Object
      implements SQLTemplateProcessor

  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CayenneSQLTemplateProcessor(TemplateContextFactory contextFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SQLStatement` | `process(String template, Context context)`
    `SQLStatement` | `processTemplate(String template, List<Object> positionalParameters)` Builds and returns a SQLStatement based on SQL template String and a list of positional parameters.
    `SQLStatement` | `processTemplate(String template, Map<String,?> parameters)` Builds and returns a SQLStatement based on SQL template String and a map of parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CayenneSQLTemplateProcessor

          public CayenneSQLTemplateProcessor(TemplateContextFactory contextFactory)

  - ### Method Detail

    - #### processTemplate

          public SQLStatement processTemplate(String template,
                                              Map<String,?> parameters)

      Description copied from interface: `SQLTemplateProcessor`
      Builds and returns a SQLStatement based on SQL template String and a map of parameters.
      Specified by:
        `processTemplate` in interface `SQLTemplateProcessor`

    - #### processTemplate

          public SQLStatement processTemplate(String template,
                                              List<Object> positionalParameters)

      Description copied from interface: `SQLTemplateProcessor`
      Builds and returns a SQLStatement based on SQL template String and a list of positional parameters.
      Specified by:
        `processTemplate` in interface `SQLTemplateProcessor`

    - #### process

          protected SQLStatement process(String template,
                                         Context context)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.